Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 3 sur 3
  1. #1
    Invité de passage
    Inscrit en
    novembre 2012
    Messages
    4
    Détails du profil
    Informations forums :
    Inscription : novembre 2012
    Messages : 4
    Points : 0
    Points
    0

    Par défaut [Axis 2 / Juno] Erreur "java.lang.reflect.InvocationTargetException" utilisation Axis2_Codegen_Wizard_1.3.0

    Bonjour,

    Je souhaiterais générer une classe Java d'un WSDL de Web Service (ici Magento), via le plugin Axis2_Codegen_Wizard_1.3.0.

    Cependant lorsque je clique sur Finish l'erreur s'affiche :
    java.lang.reflect.InvocationTargetException
    Quelqu'un saurait-il m'indiquer d'où peut venir le problème ?

    Malgré mes recherches, je n'ai rien trouvé.

    Merci d'avance pour votre aide.
    Images attachées Images attachées
    • Type de fichier : png gg.PNG (94,9 Ko, 3 affichages)

  2. #2
    Rédacteur/Modérateur
    Avatar de Laurent.B
    Homme Profil pro Laurent Barbareau
    Ingénieur développement logiciels
    Inscrit en
    novembre 2004
    Messages
    3 247
    Détails du profil
    Informations personnelles :
    Nom : Homme Laurent Barbareau
    Âge : 41
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2004
    Messages : 3 247
    Points : 15 970
    Points
    15 970

    Par défaut

    Bonjour,

    As-tu vu ceci http://wso2.org/library/1719#comment-15052 ? Il est question de l'erreur java.lang.reflect.InvocationTargetException à un endroit, donc peut-être cela correspond-il à ton problème...
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Pensez à cliquer sur le bouton une fois votre problème solutionné, merci.

  3. #3
    Invité de passage
    Inscrit en
    novembre 2012
    Messages
    4
    Détails du profil
    Informations forums :
    Inscription : novembre 2012
    Messages : 4
    Points : 0
    Points
    0

    Par défaut

    Merci pour ce lien, je l'ai étudié depuis ce matin en installant Apache Ant, Axis2, Maven, et en changeant la version du plugin mais rien y fait, toujours la même erreur.
    Cependant, j'ai essayé avec un autre WSDL que celui de Magento et cela fonctionne.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •